# H450xHandler Class Reference

`#include <h450pdu.h>`

Inheritance diagram for H450xHandler:

[legend]
Collaboration diagram for H450xHandler:
[legend]

## Public Member Functions

| H450xHandler (H323Connection &connection, H450xDispatcher &dispatcher)
virtual void | AttachToSetup (H323SignalPDU &pdu)
virtual void | AttachToAlerting (H323SignalPDU &pdu)
virtual void | AttachToConnect (H323SignalPDU &pdu)
virtual void | AttachToReleaseComplete (H323SignalPDU &pdu)
virtual PBoolean | OnReceivedInvoke (int opcode, int invokeId, int linkedId, PASN_OctetString *argument)=0
virtual PBoolean | OnReceivedReturnResult (X880_ReturnResult &returnResult)
virtual PBoolean | OnReceivedReturnError (int errorCode, X880_ReturnError &returnError)
virtual PBoolean | OnReceivedReject (int problemType, int problemNumber)
void | SendReturnError (int returnError)
void | SendGeneralReject (int problem)
void | SendInvokeReject (int problem)
void | SendReturnResultReject (int problem)
void | SendReturnErrorReject (int problem)
PBoolean | DecodeArguments (PASN_OctetString *argString, PASN_Object &argObject, int absentErrorCode)
unsigned | GetInvokeId () const

## Protected Attributes

H323EndPoint & | endpoint
H323Connection & | connection
H450xDispatcher & | dispatcher
unsigned | currentInvokeId

## Constructor & Destructor Documentation

H450xHandler::H450xHandler | ( | H323Connection & | connection,
|  | H450xDispatcher & | dispatcher |
| ) |  |  |

## Member Function Documentation

virtual void H450xHandler::AttachToAlerting | ( | H323SignalPDU & | pdu | ) | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

virtual void H450xHandler::AttachToConnect | ( | H323SignalPDU & | pdu | ) | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

virtual void H450xHandler::AttachToReleaseComplete | ( | H323SignalPDU & | pdu | ) | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

virtual void H450xHandler::AttachToSetup | ( | H323SignalPDU & | pdu | ) | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

PBoolean H450xHandler::DecodeArguments | ( | PASN_OctetString * | argString,
|  | PASN_Object & | argObject,
|  | int | absentErrorCode |
| ) |  |  |

unsigned H450xHandler::GetInvokeId | ( |  | ) | const`[inline]`

virtual PBoolean H450xHandler::OnReceivedInvoke | ( | int | opcode,
|  | int | invokeId,
|  | int | linkedId,
|  | PASN_OctetString * | argument |
| ) |  |  | `[pure virtual]`

Parameters:

  invokeId | InvokeId of operation (used in response)
  linkedId | InvokeId of associated operation (if any)
  argument | Parameters for the initiate operation

Implemented in H4502Handler, H4504Handler, H4506Handler, H4507Handler, and H45011Handler.

virtual PBoolean H450xHandler::OnReceivedReject | ( | int | problemType,
|  | int | problemNumber |
| ) |  |  | `[virtual]`

Reimplemented in H45011Handler.

virtual PBoolean H450xHandler::OnReceivedReturnError | ( | int | errorCode,
|  | X880_ReturnError & | returnError |
| ) |  |  | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

virtual PBoolean H450xHandler::OnReceivedReturnResult | ( | X880_ReturnResult & | returnResult | ) | `[virtual]`

Reimplemented in H4502Handler, and H45011Handler.

void H450xHandler::SendGeneralReject | ( | int | problem | ) |

void H450xHandler::SendInvokeReject | ( | int | problem | ) |

void H450xHandler::SendReturnError | ( | int | returnError | ) |

Send a return error in response to an invoke operation.

void H450xHandler::SendReturnErrorReject | ( | int | problem | ) |

void H450xHandler::SendReturnResultReject | ( | int | problem | ) |

## Field Documentation

H323Connection& H450xHandler::connection `[protected]`

unsigned H450xHandler::currentInvokeId `[protected]`

H450xDispatcher& H450xHandler::dispatcher `[protected]`

H323EndPoint& H450xHandler::endpoint `[protected]`

The documentation for this class was generated from the following file:

- h450pdu.h